QGIS Application - Bug report #21212

Close and Restore buttons in panel windows look "too bold"

2019-02-09 02:03 AM - Andrea Giudiceandrea

Status: Open
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:3.4.5
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29030

Description

In QGIS master 3.5 7f3640d8a1 (on Windows 7 64 bit), using "Windows" or "windowsvista" application style, the "Close" and "Restore"

buttons in panel windows look "too bold" compared with QGIS 3.4.1 and QGIS 2.18.
History

#1 - 2019-03-12 08:53 PM - Andrea Giudiceandrea
- Affected QGIS version changed from 3.5(master) to 3.4.5
- Description updated

The same problem is now present also in QGIS 3.4.5-1 (89ee6f6e23).

#2 - 2019-03-20 01:25 AM - Andrea Giudiceandrea
In 3.4 branch, the bug firstly appeared on Windows in QGIS 3.4.4-2 (73c31df831), while it was not present in QGIS 3.4.4-1 (féddc62fdb)
Comparing the commits https://github.com/qgis/QGIS/compare/f6ddc62fdb...73c31df831, it seems there are two possible related ones: commit:b55b0ec
and commit:22418b4
